Bug 68488 - cpanflute2 patch to fix minor problems
cpanflute2 patch to fix minor problems
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
7.3
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-10 12:35 EDT by Steven Pritchard
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-10 15:30:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix 4 problems with cpanflute2 (1.46 KB, patch)
2002-07-10 12:38 EDT, Steven Pritchard
no flags Details | Diff
Corrected patch (Requires set correctly) (1.49 KB, patch)
2002-07-10 15:30 EDT, Steven Pritchard
no flags Details | Diff

  None (edit)
Description Steven Pritchard 2002-07-10 12:35:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
There are a few minor problems with cpanflute2 as shipped in Red Hat 7.3.

Version-Release number of selected component (if applicable):
4.0.4-7x.18

How reproducible:
Always

Steps to Reproduce:
The attached patch (against cpanflute2 in rpm-build-4.0.4-7x.18) fixes the
following:

1) There are two calls to die_usage, which doesn't exist.
2) --release=0 is ignored (release is set to 8).
3) The spec should have a Requires: perl as well as a BuildRequires.
4) $noarch is set twice (to the same value).

Additional info:
Comment 1 Steven Pritchard 2002-07-10 12:38:10 EDT
Created attachment 64614 [details]
patch to fix 4 problems with cpanflute2
Comment 2 Steven Pritchard 2002-07-10 15:30:43 EDT
Created attachment 64649 [details]
Corrected patch (Requires set correctly)
Comment 3 Jeff Johnson 2002-11-16 15:16:42 EST
cpanflute is no longer in rpm.

Note You need to log in before you can comment on or make changes to this bug.